.TH "pyspottedunipd.fb.models.FacebookPost" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.fb.models.FacebookPost \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, raw_json_api_response)"
.br
.ti -1c
.RI "def \fBparse\fP (self)"
.br
.ti -1c
.RI "def \fBget_totals\fP (self, api_driver)"
.br
.ti -1c
.RI "def \fBto_dict\fP (self)"
.br
.ti -1c
.RI "def \fBto_json\fP (self)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBraw_json\fP"
.br
.ti -1c
.RI "\fBmessage\fP"
.br
.ti -1c
.RI "\fBtime\fP"
.br
.ti -1c
.RI "\fBdate\fP"
.br
.ti -1c
.RI "\fBfacebook_id\fP"
.br
.ti -1c
.RI "\fBlikes_count\fP"
.br
.ti -1c
.RI "\fBcomments_count\fP"
.br
.ti -1c
.RI "\fBshares_count\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.PP
.nf
A standard Facebook post 
.fi
.PP
 
.PP
Definition at line 169 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookPost\&.__init__ ( self,  raw_json_api_response)"

.PP
.nf
:param raw_json_api_response: str in json format
    Standard format coming out of the official API

.fi
.PP
 
.PP
Definition at line 172 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookPost\&.get_totals ( self,  api_driver)"

.PP
.nf
:param api_driver: FacebookGraphApi
    API driver to use
:return: void
    Gets counts of likes and comments

.fi
.PP
 
.PP
Definition at line 208 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookPost\&.parse ( self)"

.PP
.nf
:return: void
    Parses raw json response of API and set object's fields

.fi
.PP
 
.PP
Definition at line 190 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookPost\&.to_dict ( self)"

.PP
.nf
:return: dict
    Dictionary with keys (obj fields) and values (obj values)

.fi
.PP
 
.PP
Definition at line 244 of file models\&.py\&.
.SS "def pyspottedunipd\&.fb\&.models\&.FacebookPost\&.to_json ( self)"

.PP
.nf
:return: json object
    A json representation of this object

.fi
.PP
 
.PP
Definition at line 260 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.comments_count"

.PP
Definition at line 185 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.date"

.PP
Definition at line 182 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.facebook_id"

.PP
Definition at line 183 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.likes_count"

.PP
Definition at line 184 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.message"

.PP
Definition at line 180 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.raw_json"

.PP
Definition at line 179 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.shares_count"

.PP
Definition at line 186 of file models\&.py\&.
.SS "pyspottedunipd\&.fb\&.models\&.FacebookPost\&.time"

.PP
Definition at line 181 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
